package ajcon.custom.util.elements;

public class CFormalArgument {

    private CModifiers CModifiers;
    
    private CType CType;
    
    private String name;
    private String id;
    
    private String _final;
    
    private String line;
    private String col;
    private String endLine;
    private String endCol;
    private String commentToken;
    private String startToken;
    private String endToken;
    private String idkind;
    
    public CFormalArgument()
    {
        CModifiers = null;
        CType= null;

        this.name = null;
        this.id = null;

        _final = null;

        line = null;
        col = null;
        endLine = null;
        endCol = null;
        commentToken = null;
        startToken = null;
        endToken = null;
        idkind = null;
    }

    public String getFinal() {
        return _final;
    }

    public void setFinal(String _final) {
        this._final = _final;
    }

    public String getCol() {
        return col;
    }

    public void setCol(String col) {
        this.col = col;
    }

    public String getCommentToken() {
        return commentToken;
    }

    public void setCommentToken(String commentToken) {
        this.commentToken = commentToken;
    }

    public String getEndToken() {
        return endToken;
    }

    public void setEndToken(String endToken) {
        this.endToken = endToken;
    }

    public String getEndCol() {
        return endCol;
    }

    public void setEndCol(String endCol) {
        this.endCol = endCol;
    }

    public String getEndLine() {
        return endLine;
    }

    public void setEndLine(String endLine) {
        this.endLine = endLine;
    }


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getIdkind() {
        return idkind;
    }

    public void setIdkind(String idkind) {
        this.idkind = idkind;
    }

    public String getLine() {
        return line;
    }

    public void setLine(String line) {
        this.line = line;
    }

   

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStartToken() {
        return startToken;
    }

    public void setStartToken(String startToken) {
        this.startToken = startToken;
    }

    public CModifiers getCModifiers() {
        return CModifiers;
    }

    public void setCModifiers(CModifiers CModifiers) {
        this.CModifiers = CModifiers;
    }

    public CType getCType() {
        return CType;
    }

    public void setCType(CType CType) {
        this.CType = CType;
    }

   

}
